package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.bo.PayMerchantBO;
import com.zanxiang.manage.domain.dto.PayMerchantDTO;
import com.zanxiang.manage.domain.params.PayMerchantListNoPageParam;
import com.zanxiang.manage.domain.params.PayMerchantListParam;
import com.zanxiang.manage.domain.vo.PayMerchantChoiceVO;
import com.zanxiang.manage.domain.vo.PayMerchantListNoPageVO;
import com.zanxiang.manage.domain.vo.PayMerchantListVO;
import com.zanxiang.mybatis.entity.PayMerchant;

import java.util.List;

/**
 * 游戏支付商户配置表 服务类接口
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
public interface IPayMerchantService extends IService<PayMerchant> {

    /**
     * 支付方式选择列表查询
     *
     * @return : 返回支付方式列表
     */
    List<PayMerchantChoiceVO> payMerchantChoiceList();

    /**
     * 信息
     *
     * @param id id
     * @return {@link PayMerchantDTO}
     */
    PayMerchantDTO info(Long id);

    /**
     * 保存或更新
     *
     * @param bo 薄
     * @return {@link Boolean}
     */
    Boolean saveOrUpdate(PayMerchantBO bo);

    /**
     * 列表
     *
     * @param bo 薄
     * @return {@link IPage}<{@link PayMerchantListVO}>
     */
    IPage<PayMerchantListVO> list(PayMerchantListParam bo);

    /**
     * 没有页面列表
     *
     * @param bo 薄
     * @return {@link List}<{@link PayMerchantListNoPageVO}>
     */
    List<PayMerchantListNoPageVO> listNoPage(PayMerchantListNoPageParam bo);

//    Boolean config(PayMerchantBO bo);
}
